|  | reflex::Input::Handler Struct Reference updated Mon Sep 25 2023 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
reflex::Input::Handler Struct Referenceabstract

FILE* handler functor base class to handle FILE* errors and non-blocking FILE* reads. More...

`#include <input.h>`

## Public Member Functions

virtual int | operator() (FILE *)=0
virtual | ~Handler ()

## Detailed Description

FILE* handler functor base class to handle FILE* errors and non-blocking FILE* reads.

## Constructor & Destructor Documentation

virtual reflex::Input::Handler::~Handler | ( |  | ) |

inlinevirtual

## Member Function Documentation

virtual int reflex::Input::Handler::operator() | ( | FILE * |  | ) |

pure virtual

The documentation for this struct was generated from the following file:

- input.h